KDE 4.2 PyKDE API Reference

- KDE's Python API

# HTMLOptGroupElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Group options together in logical subdivisions. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#edef-OPTGROUP"> OPTGROUP element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLOptGroupElement other)
| __init__ (self, DOM.Node other)
| __init__ (self, HTMLOptGroupElementImpl impl)
bool | disabled (self)
DOM.DOMString | label (self)
| setDisabled (self, bool a0)
| setLabel (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLOptGroupElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

__init__ | ( | self, |
|  | HTMLOptGroupElementImpl | impl
| ) |  |  |

bool disabled | ( |  | self ) |

The control is unavailable in this context. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-disabled"> disabled attribute definition in HTML 4.0.

DOM.DOMString label | ( |  | self ) |

Assigns a label to this option group. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-label-OPTGROUP"> label attribute definition in HTML 4.0.

setDisabled | ( | self, |
|  | bool | a0
| ) |  |  |

see disabled

setLabel | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see label